/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package adresar2;

import java.io.EOFException;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.ObjectInputStream;

/**
 * @author petr
 */
public class ObjectReadAdresar {

    /**
     * Formátovaný vstup z textového souboru.
     */
    private ObjectInputStream input;

    /**
     * Otevře soubor se záznamy.
     */
    public void openFile(String fileName) throws FileNotFoundException, IOException {
        input = new ObjectInputStream(new FileInputStream(fileName));
    }

    /**
     * Zavře soubor.
     */
    public void closeFile() throws IOException {
        if (input != null) {
            input.close();
        }
    }

    public Adresar nextAdresar() throws IOException, EOFException, ClassNotFoundException {

        Adresar adr = (Adresar) input.readObject();
        return adr;
    }

    /**
     * Načte záznamy ze souboru a vytiskne je na obrazovku.
     */
    public void readRecords() throws IOException, ClassNotFoundException {

        int j = 0;
        while (true) {
            j++;
            try {
                Adresar adr = nextAdresar();
                System.out.printf("%2d) ", j);
                System.out.print(adr.toString());
            } catch (EOFException e) {
                //konec souboru
                return;
            }
        }
    }
}
